import { Milliseconds } from '@vkontakte/videoplayer-shared';
import { IParams } from './lib/types';
import BaseDashProvider from './baseDashProvider';
export default class DashCmafLiveProvider extends BaseDashProvider {
    constructor(params: IParams);
    protected subscribe(): void;
    protected seek(position: Milliseconds): void;
}
